Skip to main content
GET
/
data
/
geo
/
v1
/
places
List canonical places
curl --request GET \
  --url https://api.voyant.travel/data/geo/v1/places \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "unlocode": "<string>",
      "countryIso2": "<string>",
      "parentId": "<string>",
      "coordinates": {
        "lat": 123,
        "lng": 123
      },
      "name": "<string>",
      "nameLang": "<string>",
      "names": {},
      "aliases": [
        "<string>"
      ],
      "attributes": {}
    }
  ],
  "totalCount": 123,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Voyant Data API token, scoped per sub-product (data:{product}:read). Sent as Authorization: Bearer <token>.

Query Parameters

type
enum<string>
Available options:
region,
country,
subdivision,
city,
port,
river,
sea,
ocean,
canal,
lake
country
string

ISO 3166-1 alpha-2 country filter.

parent
string

Parent place id filter.

q
string
limit
integer
default:100
offset
integer
default:0
lang
string

Resolve display names in this language.

names
boolean

Include the full locale -> name map.

Response

Matching places

data
object[]
required
totalCount
integer
required
nextCursor
string